diff -ru /usr/ports/audio/csound/Makefile /home/hadara/csound/Makefile
--- /usr/ports/audio/csound/Makefile	Thu Aug 30 00:30:56 2001
+++ /home/hadara/csound/Makefile	Wed Jan 16 12:25:35 2002
@@ -2,11 +2,10 @@
 # Date created:				2000-10-11
 # Whom:					trevor
 #
-# $FreeBSD: ports/audio/csound/Makefile,v 1.9 2001/08/29 22:30:56 trevor Exp $
 #
 
 PORTNAME=	csound
-PORTVERSION=	4.13
+PORTVERSION=	4.16
 CATEGORIES=	audio
 MASTER_SITES=	ftp://ftp.maths.bath.ac.uk/pub/dream/newest/
 DISTFILES=	Csound${PORTVERSION}.tar.gz
@@ -15,7 +14,6 @@
 
 MAINTAINER=	trevor@FreeBSD.org
 
-BROKEN=		"distfile was overwritten"
 LIB_DEPENDS=	tcl83:${PORTSDIR}/lang/tcl83 \
 		tk83:${PORTSDIR}/x11-toolkits/tk83
 
@@ -40,11 +38,11 @@
 
 post-patch:
 	${PERL} -pi -e "s:/usr/local/lib:${PREFIX}/share/csound:g" ${WRKSRC}/getstring.c
-	${PERL} -pi -e "s:csound.txt:csound.dat:g" ${WRKSRC}/getstring.c
+	${PERL} -pi -e "s:csound.xmg:csound.dat:g" ${WRKSRC}/getstring.c
 
 do-install:
 	${MKDIR} ${PREFIX}/share/csound
-	${INSTALL_DATA} ${WRKSRC}/csound.txt ${PREFIX}/share/csound/csound.dat
+	${INSTALL_DATA} ${WRKSRC}/csound.xmg ${PREFIX}/share/csound/csound.dat
 	for i in `find ${WRKDIR} -type f -perm 755`; do \
 		${INSTALL_PROGRAM} $${i} ${PREFIX}/bin ; \
 	done
diff -ru /usr/ports/audio/csound/distinfo /home/hadara/csound/distinfo
--- /usr/ports/audio/csound/distinfo	Mon Jun  4 15:28:34 2001
+++ /home/hadara/csound/distinfo	Tue Jan 15 14:36:20 2002
@@ -1 +1 @@
-MD5 (csound/Csound4.13.tar.gz) = 7edbfd63436a3d94b2e6312bb5b0e3b8
+MD5 (csound/Csound4.16.tar.gz) = 393b6ed0385fac1b0517e92effb30944
diff -ru /usr/ports/audio/csound/files/patch-Makefile /home/hadara/csound/files/patch-Makefile
--- /usr/ports/audio/csound/files/patch-Makefile	Thu Mar  8 07:06:26 2001
+++ /home/hadara/csound/files/patch-Makefile	Tue Jan 15 15:23:42 2002
@@ -1,5 +1,5 @@
---- Makefile.orig	Fri Jan  5 04:38:27 2001
-+++ Makefile	Sun Jan 21 18:52:58 2001
+--- /usr/ports/audio/csound/work/Makefile	Sat Dec  8 18:00:11 2001
++++ Makefile.patched	Tue Jan 15 15:20:20 2002
 @@ -1,18 +1,18 @@
  #								Csound Makefile
  # edit the following definitions according to need:
@@ -24,44 +24,43 @@
  # choose either -
  #	CDEP =			for UNIX
  #	COBS = $(COBJS)
-@@ -24,7 +24,8 @@
+@@ -24,7 +24,7 @@
  #	.c.o:
  #		$(CC) $(CFLAGS) -c $*.c -o $@
  
 -DEFINES = -DWINDOWS -DRTAUDIO -DSFIRCAM -DSYS5 -DLINUX -DPIPES -DMACROS -DTCLTK
 +DEFINES = -DWINDOWS -DRTAUDIO -DSFIRCAM -DSYS5 -DPIPES -DMACROS -DLINUX -DFREE_BSD -DTCLTK
-+
  # choose any of -
  #	-DSYS5	    invoke System 5 headers (e.g. 'string.h' for 'strings.h')
  #	-DWINDOWS   include window system calls (X11, SGI, or FG graphics)
-@@ -52,7 +53,7 @@
+@@ -52,7 +52,7 @@
  # Be sure to include 'LINUXaudio.o' under 'AUDOBJ' below as well.
  #                                  --  Jonathan Mohr  1995 Oct 17
  
--CFLAGS = -O2 $(RPM_OPT_FLAGS) $(DEFINES)
-+CFLAGS += -g $(CPPFLAGS) $(DEFINES) $(LDFLAGS)
+-CFLAGS = -O2 -march=i686 -malign-loops=4 -malign-jumps=4 -DWITHx87 $(RPM_OPT_FLAGS) $(DEFINES)
++CFLAGS += -g $(CPPFLAGS) $(LDFLAGS) -march=i686 -malign-loops=4 -malign-jumps=4 -DWITHx87 $(RPM_OPT_FLAGS) $(DEFINES)
  #	-O		Simple optimisation
  #	-O2		to be more specific about the optimization level
  #	-f		compile single-precision floats (4.3,VAX,DEC-RISC)
-@@ -73,7 +74,7 @@
+@@ -76,7 +76,7 @@
  #	-I/usr/openwin/include		Solaris openwin interface
  #	-I/usr/demo/SOUND/include	Solaris sound interface
  
--LIBS =	-L /usr/X11R6/lib -lX11 -lbsd -ltcl -ltk -lm 
-+LIBS =	-L$(X11BASE)/lib -L$(LOCALBASE)/lib -lX11 -ltcl83 -ltk83 -lm 
+-LIBS =	-L /usr/X11R6/lib -lX11 -ltcl -ltk -lm 
++LIBS =  -L$(X11BASE)/lib -L$(LOCALBASE)/lib -lX11 -ltcl83 -ltk83 -lm
  #	-lefence
  #	-lm		    		required
  #	-lX11				for X window calls
-@@ -236,7 +237,7 @@
+@@ -242,7 +242,7 @@
  all:		$(PROGS) $(SUBDIRS)            	#must be run in this order
  
- csound:		$(COBJS) $(CSUM) $(CDEP) csound.txt
+ csound:		$(COBJS) $(CSUM) $(CDEP) csound.xmg
 -		$(CC) $(CFLAGS) -o csound $(COBJS) $(LIBS)
 +		$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o csound $(COBJS) $(LIBS)
  
  TAGS:	$(CSRCS) $(HDRS)
  		etags $(CSRCS) $(HDRS)
-@@ -335,15 +336,15 @@
+@@ -341,13 +341,13 @@
  		cd midifils; rm -f *.bak *~
  		cd cscofils; rm -f *.bak *~
  
@@ -70,18 +69,15 @@
 -	/usr/local/bin/scsort /usr/local/bin/extract /usr/local/bin/sndinfo \
 -	/usr/local/bin/scale /usr/local/bin/mixer /usr/local/bin/extractor \
 -	/usr/local/bin/envext /usr/local/bin/pvlook /usr/local/bin/sdif2ad \
--	/usr/local/bin/dnoise /usr/local/bin/srconv /usr/local/lib/csound.txt
+-	/usr/local/bin/dnoise /usr/local/bin/srconv
 -	(cd /usr/local/bin; tar cvzf ~/csound/CSLinux.bin.tgz csound \
 +CSLinux.bin.tgz: $(PREFIX)/bin/csound $(PREFIX)/bin/hetro \
 +	$(PREFIX)/bin/lpanal $(PREFIX)/bin/pvanal $(PREFIX)/bin/scot \
 +	$(PREFIX)/bin/scsort $(PREFIX)/bin/extract $(PREFIX)/bin/sndinfo \
 +	$(PREFIX)/bin/scale $(PREFIX)/bin/mixer $(PREFIX)/bin/extractor \
 +	$(PREFIX)/bin/envext $(PREFIX)/bin/pvlook $(PREFIX)/bin/sdif2ad \
-+	$(PREFIX)/bin/dnoise $(PREFIX)/lib/csound.txt
++	$(PREFIX)/bin/dnoise $(PREFIX)/bin/srconv
 +	(cd $(PREFIX)/bin; tar cvzf ~/csound/CSLinux.bin.tgz csound \
  	hetro lpanal pvanal scot scsort extract sndinfo scale mixer \
--	extractor envext pvlook sdif2ad dnoise srconv -C /usr/local/lib csound.txt)
-+	extractor envext pvlook sdif2ad dnoise -C $(PREFIX)/lib csound.txt)
+ 	extractor envext pvlook sdif2ad dnoise srconv)
  
- Csound.tar.gz:  all_files \
- 	$(CSRCS) $(HDRS) \
